<!DOCTYPE html>
<html>
<head>
    <!-- Standard Meta -->
    <meta charset="utf-8"/>
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"/>
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0">

    <!-- Site Properties -->
    <title>SMS Gateway | Inixindo Jogja</title>

    <link rel="stylesheet" href="assets/css/semantic.min.css">
    <link rel="stylesheet" href="assets/css/dataTables.semanticui.min.css">

    <script src="assets/js/jquery-3.3.1.js"></script>
    <script src="assets/js/semantic.min.js"></script>
    
    <!-- datatable -->
    <script src="assets/js/jquery.dataTables.min.js"></script>
    <script src="assets/js/dataTables.semanticui.min.js"></script>

</head>
<body>
<div class="ui fluid container">
    <br>
    <div class="ui raised very padded text container segment">
        <h2 class="ui header center aligned">Mengirim Pesan</h2>
        <div class="ui aligned grid">
            <div class="column">
                <form class="ui form" action="#">
                    <div class="field">
                        <label>Penerima Pesan</label>
                        <input type="number" placeholder="089..." id="messagePhone">
                    </div>
                    <div class="field">
                        <label>Isi Pesan</label>
                        <input type="text" name="last-name" placeholder="Tuliskan Pesan" id="messageContent">
                    </div>
                    <div class="ui red message" id="errorMessage" style="display: none"></div>
                    <button class="ui left floated right labeled icon button" 
                        type="button" id="submitButton" onclick="sendMessage()">
                        <i class="right arrow icon"></i>
                        Kirim
                    </button>
                    <button class="ui loading button" id="isLoadingSubmit" style="display: none">Loading</button>
                </form>
            </div>
        </div>
    </div>
    <div style="padding-top: 100px"></div>
    <div class="ui segment center aligned container">
        <h2 class="ui header center aligned">Pesan Masuk</h2>
        <table id="tabelPesanMasuk" class="ui celled table" style="width:100%">
            <thead>
                <tr>
                    <th>Satus</th>
                    <th>Pesan</th>
                </tr>
            </thead>
            <tbody id="pesanMasuk"></tbody>
        </table>
    </div>
    
</div>

<script>
    function sendMessage(){
        let no_hp = $("#messagePhone").val().trim();
        let pesan = $("#messageContent").val().trim();

        if (no_hp == '' || pesan == '') {
            $('#errorMessage').attr('style', 'display:show');
            return $('#errorMessage').html('Isikan semua data (nomor penerima dan isi pesan)');
        }

        let formData = {
            no_hp: no_hp,
            pesan: pesan
        }

        submitLoading(true);
        $.post("sendMessage.php", formData)
            .then(response => {
                submitLoading(false);
                alert(response.message);
            })
            .catch(error => {
                submitLoading(false);
                return $('#errorMessage').html('Terjadi kesalahan');
            })
    }

    function receiveMessage(){
        $.get('getMessage.php')
            .then(response => {
                let isiTabel = '';

                response.message.map(data => {
                    isiTabel += `<tr>
                        <td>${data.status}</td>
                        <td>${data.message}</td>
                    </tr>`
                })

                $("#pesanMasuk").html(isiTabel)
            })
    }

    function submitLoading(params){
        if (params == true) {
            $("#isLoadingSubmit").attr('style', 'display:show')
            $("#submitButton").attr('style', 'display:none')
        }
        else{
            $("#isLoadingSubmit").attr('style', 'display:none')
            $("#submitButton").attr('style', 'display:show')
        }
    }

    $(document).ready(function() {
        receiveMessage()

        $('#example').DataTable();
    } );
</script>

</body>

</html>
